### Method

# Gom Adapter open_async

#### Declaration [src]

    void
    gom_adapter_open_async (
      GomAdapter* adapter,
      const gchar* uri,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Opens the database pointed to by `uri`. `uri` can be in any format understood by SQLite. See http://www.sqlite.org/c3ref/open.html for details.

This method completes asynchronously. Use `gom_adapter_open_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uri`

  Type: `const gchar*`

  A URI understood by SQLite.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `GAsyncReadyCallback`

  The function to call when the operation finished, or `NULL`.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The user data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.